<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__rscsc__srvr__full__char__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_rscsc_srvr_full_char_info_t</compoundname>
    <includes local="no">cy_ble_rscs.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__rscsc__srvr__full__char__info__t_1a770933c0129c4201de07027c8277a73d" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__srvr__char__info__t">cy_stc_ble_srvr_char_info_t</ref></type>
        <definition>cy_stc_ble_srvr_char_info_t cy_stc_ble_rscsc_srvr_full_char_info_t::charInfo</definition>
        <argsstring />
        <name>charInfo</name>
        <briefdescription>
<para>Characteristic handle + properties. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_rscs.h" bodystart="113" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_rscs.h" line="113" />
      </memberdef>
      <memberdef id="structcy__stc__ble__rscsc__srvr__full__char__info__t_1a6738d35e61c5efd9af2476216410f89b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_rscsc_srvr_full_char_info_t::descriptors[CY_BLE_RSCS_DESCR_COUNT]</definition>
        <argsstring>[CY_BLE_RSCS_DESCR_COUNT]</argsstring>
        <name>descriptors</name>
        <briefdescription>
<para>Characteristic Descriptors Handles handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_rscs.h" bodystart="116" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_rscs.h" line="116" />
      </memberdef>
      <memberdef id="structcy__stc__ble__rscsc__srvr__full__char__info__t_1ae883cd45bfc06370f58508e07db28cf4" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_rscsc_srvr_full_char_info_t::endHandle</definition>
        <argsstring />
        <name>endHandle</name>
        <briefdescription>
<para>End handle of Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_rscs.h" bodystart="119" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_rscs.h" line="119" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>RSCS Service Full Characteristic information type. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="1146">
        <label>cy_stc_ble_srvr_char_info_t</label>
        <link refid="structcy__stc__ble__srvr__char__info__t" />
      </node>
      <node id="1145">
        <label>cy_stc_ble_rscsc_srvr_full_char_info_t</label>
        <link refid="structcy__stc__ble__rscsc__srvr__full__char__info__t" />
        <childnode refid="1146" relation="usage">
          <edgelabel>charInfo</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="120" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_rscs.h" bodystart="110" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_rscs.h" line="111" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__rscsc__srvr__full__char__info__t_1a770933c0129c4201de07027c8277a73d" virt="non-virtual"><scope>cy_stc_ble_rscsc_srvr_full_char_info_t</scope><name>charInfo</name></member>
      <member prot="public" refid="structcy__stc__ble__rscsc__srvr__full__char__info__t_1a6738d35e61c5efd9af2476216410f89b" virt="non-virtual"><scope>cy_stc_ble_rscsc_srvr_full_char_info_t</scope><name>descriptors</name></member>
      <member prot="public" refid="structcy__stc__ble__rscsc__srvr__full__char__info__t_1ae883cd45bfc06370f58508e07db28cf4" virt="non-virtual"><scope>cy_stc_ble_rscsc_srvr_full_char_info_t</scope><name>endHandle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>